%define upstream_name autobox-Core
%define upstream_version 1.27

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	autobox::Core provides core functions to autoboxed scalars, arrays and hashes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/S/SW/SWALTERS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(autobox)

Provides:	perl(autobox::Core)

BuildArch:	noarch

%description
The autobox module promotes Perl's primitive types (literals (strings
and numbers), scalars, arrays and hashes) into first-class objects.
However, autobox does not provide any methods for these new classes.

autobox::CORE provides a set of methods for these new classes. It
includes almost everything in perlfunc, some things from Scalar::Util
and List::Util, and some Perl 5 versions of methods taken from Perl 6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 530269
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 1.270.0-1.mga4
+ Revision: 456976
- update to 1.27

* Sun Jul 14 2013 sander85 <sander85> 1.260.0-2.mga4
+ Revision: 454066
- Add needed provides

* Sun Jul 14 2013 sander85 <sander85> 1.260.0-1.mga4
+ Revision: 454056
- imported package perl-autobox-Core

